DAOS API: Data Fields

| DAOS API (v2.1 - dev)

Loading...
Searching...
No Matches
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:
A
B
C
D
E
F
G
H
I
K
L
M
N
O
P
R
S
T
U
V

### - d -

- da_buf : daos_anchor_t
- da_chunk_size : dfs_attr_t, duns_attr_t
- da_cont : duns_attr_t
- da_cuuid : duns_attr_t
- da_dir_oclass_id : dfs_attr_t, duns_attr_t
- da_file_oclass_id : dfs_attr_t, duns_attr_t
- da_flags : daos_anchor_t, duns_attr_t
- da_hints : dfs_attr_t, duns_attr_t
- da_id : dfs_attr_t
- da_mode : dfs_attr_t
- da_no_prefix : duns_attr_t
- da_oclass_id : dfs_attr_t, duns_attr_t
- da_on_lustre : duns_attr_t
- da_pool : duns_attr_t
- da_props : dfs_attr_t, duns_attr_t
- da_puuid : duns_attr_t
- da_rel_path : duns_attr_t
- da_shard : daos_anchor_t
- da_sub_anchors : daos_anchor_t
- da_sys : duns_attr_t
- da_type : daos_anchor_t, duns_attr_t
- dae_access_flags : daos_ace
- dae_access_types : daos_ace
- dae_alarm_perms : daos_ace
- dae_allow_perms : daos_ace
- dae_audit_perms : daos_ace
- dae_principal : daos_ace
- dae_principal_len : daos_ace
- dae_principal_type : daos_ace
- dae_reserv : daos_ace
- dal_ace : daos_acl
- dal_len : daos_acl
- dal_reserv : daos_acl
- dal_ver : daos_acl
- data_len : daos_filter_part_t
- data_offset : daos_filter_part_t
- data_type : daos_filter_part_t
- dcs_flags : daos_co_status
- dcs_pm_ver : daos_co_status
- dcs_status : daos_co_status
- dkey : daos_obj_list_t, daos_obj_punch_t, daos_obj_query_key_t, daos_obj_rw_t, daos_pipeline_run_t
- dkey_anchor : daos_obj_list_t
- doi_chunk_size : dfs_obj_info_t
- doi_dir_oclass_id : dfs_obj_info_t
- doi_file_oclass_id : dfs_obj_info_t
- doi_oclass_id : dfs_obj_info_t
- doi_oid : dfs_obj_info_t
- dp_name : dfs_predicate_t
- dp_newer : dfs_predicate_t
- dp_size : dfs_predicate_t
- dpe_flags : daos_prop_entry
- dpe_reserv : daos_prop_entry
- dpe_type : daos_prop_entry
- dpp_entries : daos_prop_t
- dpp_nr : daos_prop_t
- dpp_reserv : daos_prop_t
- dru_rank : daos_rank_uri
- dru_uri : daos_rank_uri
- ds_private : tse_sched_t
- ds_result : tse_sched_t
- ds_udata : tse_sched_t
- dsi_agent_path : daos_sys_info
- dsi_fabric_provider : daos_sys_info
- dsi_ms_ranks : daos_sys_info
- dsi_nr_ms_ranks : daos_sys_info
- dsi_nr_ranks : daos_sys_info
- dsi_ranks : daos_sys_info
- dsi_system_name : daos_sys_info
- dt_pad32 : tse_task
- dt_private : tse_task
- dt_result : tse_task